# Changelog

All notable changes to the Evrmore Accounts project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.0.0] - 2025-03-12

### Added
- Initial release of Evrmore Accounts
- Complete authentication system using Evrmore blockchain
- RESTful API for authentication endpoints
- JavaScript client library for web applications
- Demo web interface
- Documentation using MkDocs
- Docker support for easy deployment
- PyPI package

### Features
- Wallet-based authentication using Evrmore blockchain
- Challenge-response authentication flow
- JWT token management
- User account management
- Automatic token refresh
- Customizable UI components
- Comprehensive documentation

## [0.3.0] - 2025-02-15

### Added
- JavaScript client library
- Demo web interface
- Token refresh functionality
- User profile management

### Changed
- Improved error handling
- Enhanced security features
- Updated documentation

## [0.2.0] - 2025-01-20

### Added
- RESTful API for authentication
- JWT token management
- User account management
- Basic documentation

### Changed
- Refactored authentication flow
- Improved challenge generation
- Enhanced signature verification

## [0.1.0] - 2025-01-05

### Added
- Initial development release
- Basic authentication functionality
- Challenge generation and verification
- Integration with Evrmore Authentication library 