# Evrmore Accounts

<div align="center">
  <img src="../evrmore_accounts/static/evrmore-logo.svg" alt="Evrmore Accounts" width="150">
</div>

A secure wallet-based authentication system for Evrmore blockchain applications.

## Overview

Evrmore Accounts is a Python package that provides wallet-based authentication using Evrmore blockchain. It builds on the [Evrmore Authentication](https://github.com/manticoretechnologies/evrmore-authentication) library to provide a complete account management system for web applications.

## Key Features

- **🔑 Wallet-based authentication** - Users sign challenges with their Evrmore wallet
- **🔒 JWT token management** - Secure session handling with JSON Web Tokens
- **📁 SQLite backend** - Simple, file-based database for session and challenge storage
- **👤 Automatic user management** - Users are created on first authentication
- **🌐 Complete API server** - Ready-to-use API server for authentication endpoints
- **🖥️ Demo web interface** - Example application showing the complete authentication flow
- **📱 JavaScript client library** - Easy integration with web applications

## Quick Links

- [Installation Guide](guide/installation.md)
- [Quick Start Guide](guide/quickstart.md)
- [API Reference](api/backend.md)
- [JavaScript Library](api/javascript.md)
- [Example Integrations](examples/basic.md)

## License

This project is licensed under the [MIT License](about/license.md).

## About

Developed by [Manticore Technologies](https://manticore.technology). 